How to make it WORK in newer versions! Rated 5 out of 5 stars

Hello, everyone. :)
First, i want to say MANY THANKS to Willi Also for making the BEST PROXY addon for Firefox, and now i'm going to tell you all how i spend a day trying to make it work (and luckly succeeded ^_^ ) in versions later than v3.5.19 (last one that worked after bypassing the version incompatibility). Proxysel still works, even in v5.0b3 (the one i'm using now).

I'm going to cite Jayen, that make a nice tutorial on how to bypassing the version incompatibility (Many Thanks Jayen):

*****By Jayen in March 15, 2009 #
*****This add-on is great, it's now working fine for me in V3.0.7 of FF including the Tor option, which is great as I've been able to do away with the big Tor bottom from the Tor project people themselves (I'm running out of space for add-ons in my bottom browser bar lol)!
*****.....
*****At first it did crash FF every time I closed the browser, but with the fix mentioned by someone else farther down in the reviews I've managed to fix it :)
*****.....
*****For those who didn't know how to fix the problem once the add-on was already installed I've written a quick tutorial for you. Keep in mind that I'm using windows XP, Vista will probably have a little different file structure, so you're probably have to look a little more ;)
*****.....
*****This is the location of the installed add-on on my PC:
*****C:\Documents and Settings\Jayen\Application Data\Mozilla\Firefox\Profiles\55p2lmx6.default\extensions\{71e95839-6f7e-470d-be54-77012fec6345}
*****.....
*****So basically this is what you need to do to get it to work on FF V3 upwards, the whole thing took me less than 5 mins. Go to "My PC" and select the HD where your operation system is installed (probably c), then go to "Documents and Settings" and then select your profile name.
*****.....
*****At this point you'll probably have to change your folder settings to show hidden folders and files. To do this, from within the folder go to "tools/Folder Options/View (Tab)" and you'll find the option around half way down the "Advanced Settings" section.
*****.....
*****Now you'll see an "Application Data" folder, click on it and then go into "Mozilla\Firefox\Profiles" and then select the next folder, in my case "55p2lmx6.default", then go into "extensions" and you're find a whole load of folders like this one {71e95839-6f7e-470d-be54-77012fec6345}. Each one has files for a different add-on, to find the proxySel folder just go into the chrome folder in each one of these and you're see a file with the name of the add-on.
*****.....
*****Once you're found the right folder just open the "install.rdf" file in notepad and change the number between the "maxVersion" brackets to this 7.* or this 7.0.*, after this you shouldn't have any problems :)
*****.....
*****If this review is starting to get buried, please re post it so that everyone can benefit from this great add-on.
*****.....
*****I hope this was helpful.
*****.....
*****Thanks
*****.....
*****Jayen

The SHORT WAY:

If u FIRST install Firefox v3.5.19 and LATER install the modified Proxysel that bypass the version incompatibility, you will see the toolbar with no problems. If you later UPDATE to v4.0.1 or v5.0b3 (assuming that maxVersion in the file "install.rdf" is in 7), you will not going to have problems and you will still see the Proxysel toolbar.

BUT, if you FIRST install Firefox from version v3.6.17 to v5.0b3, and LATER you install the modified Proxysel that bypass the version incompatibility, you will NOT see the toolbar.

The LONG WAY:

Go to your Firefox profile in your HDD "C:\Documents and Settings\YOUR_USER_NAME\Application Data\Mozilla\Firefox\Profiles\XXXXXXXX.default\", end OPEN the file "extensions.ini" and change the next line:


ExtensionXX=C:\Documents and Settings\YOUR_USER_NAME\Application Data\Mozilla\Firefox\Profiles\XXXXXXXX.default\extensions\{71e95839-6f7e-470d-be54-77012fec6345}.xpi

to


ExtensionXX=C:\Documents and Settings\YOUR_USER_NAME\Application Data\Mozilla\Firefox\Profiles\XXXXXXXX.default\extensions\{71e95839-6f7e-470d-be54-77012fec6345}


Now, with Winrar or 7zip you have to extract from the file "{71e95839-6f7e-470d-be54-77012fec6345}.xpi" all the files that are inside to the folder "C:\Documents and Settings\YOUR_USER_NAME\Application Data\Mozilla\Firefox\Profiles\XXXXXXXX.default\extensions\{71e95839-6f7e-470d-be54-77012fec6345}"

The last step is that you have to create a file called "chrome.manifest" inside the folder "C:\Documents and Settings\YOUR_USER_NAME\Application Data\Mozilla\Firefox\Profiles\XXXXXXXX.default\extensions\{71e95839-6f7e-470d-be54-77012fec6345}" with the following text inside:


overlay chrome://browser/content/browser.xul chrome://proxysel/content/overlay.xul
content proxysel jar:chrome/proxysel.jar!/content/proxysel/

skin proxysel classic/1.0 jar:chrome/proxysel.jar!/skin/classic/proxysel/

locale proxysel en-US jar:chrome/proxysel.jar!/locale/en-US/proxysel/

locale proxysel de-DE jar:chrome/proxysel.jar!/locale/de-DE/proxysel/

locale proxysel hu-HU jar:chrome/proxysel.jar!/locale/hu-HU/proxysel/



Well, that's all, now you open Firefox and will see the AWESOME PROXYSEL.

I hope this help someone.

See ya!. ;)

Still works for me! Rated 5 out of 5 stars

I've been using ProxySel for years, including with the new Firefox 3.6.14. You just have to select "Make Compatible." Positioned to the right of the menu bar, it takes up little space. I can't imagine a simpler proxy extension that works as well.

Rated 5 out of 5 stars

Proxysel replacement https://addons.mozilla.org/firefox/addon/guifiproxy

This user has a previous review of this add-on.

Rated 4 out of 5 stars

How to make it work for FF 3.6.3.
thxx

Rated 5 out of 5 stars

ProxySel is the *BEST*. Please update it to work with the newer Firefoxes!

Rated 5 out of 5 stars

UPDATE PLZ

Rated 1 out of 5 stars

Does not work on Firefox 3.6.3 after bypassing version incompatibility. There is no toolbar. Please update

Rated 5 out of 5 stars

this is the BEST addon (in proxy addons) i have ever used, and only reason why i didnt update my firefox. could anyone (addon's developer or firefox developers) please update this addon to 3.6 version of firefox
thanks

Rated 5 out of 5 stars

this is the BEST addon (in proxy addons) i have ever used, and only reason why i didnt update my firefox. could anyone (addon's developer or firefox developers) please update this addon to 3.6 version of firefox
thanks

Excellent Rated 5 out of 5 stars

EXCELLENT add on. The only Proxy selection and processing utility i found that import complete lists of proxy !!! We don't have to integrate them manually one by one ! Also a very useful user agent utility. Why is it not compatible with the new versions of Firefox ?

Rated 5 out of 5 stars

EXCELLENT add on. The only Proxy selection and processing utility i found that import complete lists of proxy !!! We don't have to integrate them manually one by one ! Also a very useful user agent utility. Why is it not compatible with the new versions of Firefox ?

Rated 3 out of 5 stars

Not bad, would love the addition of an automated importer feature and/or tor integration. This has some of the defects of FoxyProxy

Rated 5 out of 5 stars

I have no prob with FF3.5.x why do you have to downgrade it?

Rated 5 out of 5 stars

I have no prob with FF3.5.x why do you have to downgrade it?

this add on is not working Rated 1 out of 5 stars

firefox is useless without add ons and there are no good add on for proxy settings...this add on is not perfect on firefox 3.5...people use this add on with some settings but this is not a good way...

Rated 5 out of 5 stars

"Could you please make it a separate item from the menu bar! "

Please UPGRADE for Firefox 3.5.x Rated 5 out of 5 stars

Risewild's suggestion does not work for Firefox 3.5.3.... Not sure if I should downgrade Firefox to have it work.

In the meantime, PLEASE UPDATE this add on :)

Still works Rated 5 out of 5 stars

It's a great extension, works perfectly, I only don't like that it sticks itself in the navigation bar and we can't hide it or move it to another place, but it works perfectly so it gets 5 stars ;)

For those wanting to use ProxySel on Firefox 3.5:
Just install the "MR Tech Toolkit" extension, then go to its options and in the "Miscellaneous" part check the "XPI Install Options" tab uncheck the "Enable Addons Compatibility Checking" and then "OK"
This will allow to install ProxySel and until now I had no problems with it.

Get MR Tech Toolkit here:
(https://addons.mozilla.org/en-US/firefox/addon/421)

Rated 5 out of 5 stars

I am waiting for a long time.

Update Please! Rated 1 out of 5 stars

Please update for firefox 3.5.2!